<?php
/**
 * Smarty plugin
 *
 * @category Smarty
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Wengg
 * @copyright 2009 untermStrich
 * @package Smarty
 * @subpackage plugins
 * @version $Id$
*/

/**
 * Smarty boolean view function plugin
 *
 * Purpose:  Create the view for a bool value for is_included_in_time_sheet
 *
 * @param   array   $params Parameters:
 *                  <ul>
 *                      <li>value   boolean     The variable</li>
 *                  </ul>
 * @return  string  The field source
 */
function smarty_function_is_included_in_time_sheet(array $params)
{
    if (isset($params['value'])) {
        $title = '';
        if (isset($params['title'])) {
            $title = $params['title'];
        }
        
        if ($params['value']==1) {
            return '<div class="dialog_make_btn14 is_time" title="'.$title.'">TS</div>';
        } else {
            return '';
        }
    } else {
        return '';
    }
}

